---
# Tests to run in a classic environment
- hosts: localhost
  roles:
  - role: standard-test-beakerlib
    tags:
    - classic
    tests:
    - anacron-segfaults-with-certain-config-data
    - anacron-segfaults-with-certain-config-data-2
    - Can-t-remove-crontab-from-expired-accounts
    - Cron-does-uid-lookups-for-non-existent-users
    - cron-daemon-fails-to-log-that-it-is-shutting-down
    - crond-is-missing-RELRO-flags
    - crond-subtask-abnormal-termination-removes-pid-file-in-error
    - config-parsing-issue
    - cronie-jobs-environment
    - crontab-can-invoke-lookup-for-nonexisted-user
    - crontab-has-wrong-permissions
#    - echos-OK-twice-in-init-script    Does not work on Fedora-26
    - init-script-failure
#    - init-scripts-LSB                 Does not work on Fedora-26
#    - ldap-users                       Does not work on Fedora-26
#    - MAILTO-problem-with-anacron      Does not work on Fedora-26
    - Make-crontab-a-PIE
    - only-one-running-instance-in-time
    - run-with-syslog-flag
    - usr-bin-crontab-has-wrong-permissions
    required_packages:
    - authconfig        # ldap-users needs this package
    - findutils         # beakerlib needs find command
    - elfutils          # crond-is-missing-RELRO-flags needs eu-readelf tool
    - gcc               # cronie-jobs-environment needs gcc command
    - openldap          # ldap-users needs this package
    - openldap-servers  # ldap-users needs this package
    - openldap-clients  # ldap-users needs this package
    - procps-ng         # multiple tests need ps and pidof commands
    - psmisc            # multiple tests need killall command
    - rsyslog           # run-with-syslog-flag requires this package
    - sendmail          # MAILTO-problem-with-anacron needs sendmail command
    - sssd              # ldap-users needs this package
    - sssd-ldap         # ldap-users needs this package

# Tests to run in a container environment
- hosts: localhost
  roles:
  - role: standard-test-beakerlib
    tags:
    - container
    tests:
    - Can-t-remove-crontab-from-expired-accounts
    - Make-crontab-a-PIE
    - config-parsing-issue
    - crond-is-missing-RELRO-flags
    - crontab-has-wrong-permissions
    - usr-bin-crontab-has-wrong-permissions
    required_packages:
    - cronie            # everything needs cronie package
    - findutils         # beakerlib needs find command
    - procps-ng         # multiple tests need ps and pidof commands
    - psmisc            # multiple tests need killall command
    - elfutils          # multiple tests need eu-readelf tool

# Tests to run in an Atomic Host VM
- hosts: localhost
  roles:
  - role: standard-test-beakerlib
    tags:
    - atomic
    tests:
    - Can-t-remove-crontab-from-expired-accounts
    - Make-crontab-a-PIE
    - config-parsing-issue
    - crond-is-missing-RELRO-flags
    - crontab-has-wrong-permissions
    - usr-bin-crontab-has-wrong-permissions
    required_packages:
    - cronie            # everything needs cronie package
    - findutils         # beakerlib needs find command
    - procps-ng         # multiple tests need ps and pidof commands
    - psmisc            # multiple tests need killall command
    - elfutils          # multiple tests need eu-readelf tool
